.scrollgrid,.scrollgrid-playlist,.scrollgrid-portrait{display:flex;flex-wrap:nowrap;overflow-x:auto;gap:.5em;margin:.5em;padding:.5em;scroll-snap-type:x mandatory;justify-content:start}
.scrollgrid div,.scrollgrid-playlist div,.scrollgrid-portrait div{scroll-snap-align:start}
.scrollgrid div{flex:0 1 15em;display:flex;flex-direction:column;align-items:center;text-align:center}
.scrollgrid div img{width:15em;height:auto}
details .scrollgrid div img{width:15em;height:auto;margin:.2em}
.scrollgrid div iframe{height:100%;height:auto;}
.scrollgrid div p{text-align:start;}
.scrollgrid div a{text-decoration:none;opacity:.9}
.scrollgrid div a:hover{opacity:1}
.scrollgrid-portrait{align-items:center;text-align:center}
.scrollgrid-portrait div{display:flex;flex:1 0 15em;flex-direction:column}
.scrollgrid-portrait div a img{width:15em;}
.scrollgrid-playlist div{flex:1 0 35em;text-align:center}
.scrollgrid-playlist div .inhouse-playlist .tracklist{grid-area:bottom;margin-top:.25em;overflow:scroll;height:19em}
@media (width<42em){
.scrollgrid div img{width:9em}
.scrollgrid-portrait div{flex:1 0 11em}
.scrollgrid-portrait div a img{width:10em}
.scrollgrid-playlist{margin:0;padding:0}
.scrollgrid-playlist div{flex:1 0 25em}
.scrollgrid-playlist div .inhouse-playlist .tracklist{margin-top:.1em;height:16em}
}
.scrollgrid-special{display:flex;flex-wrap:nowrap;overflow-x:auto;margin:.25em;padding:.25em;scroll-snap-type:x mandatory;justify-content:start}
.scrollgrid-special{align-items:center;text-align:center}
.scrollgrid-special div{flex:1 0 13em}
.scrollgrid-special div a iframe,.scrollgrid-special div a img{width:13em;}